MPNGWWTEXEC(1)

NAME
mPNGWWTExec - None

SYNOPSIS
mPNGWWTExec [-d lev] colorTable tileLevel baseName grayDir gray.hist pngDir mPNGWWTExec -c [-d lev] trueColor tileLevel baseName blueTileDir blue.hist greenTileDir green.hist redTileDir red.hist pngDir

DESCRIPTION
Runs mViewer for all the tiles needed for a WWT TOAST set. FITS tile files should already have been generated using mProjWWTExec.

OPTIONS

-c  Switches to color mode (different argument set)

-d level
    Turns on debugging to some level

ARGUMENTS

colorTable
    The grayscale color table. See mViewer docs for details.

tileLevel
    The depth of WWT TOAST tiles desired. This should be no bigger than the depth to which FITS files were created.

baseName
    Base name for tiles. For instance, an output tile named "planck3102.png" has the base name "planck".

grayDir
    Directory containing grayscale FITS TOAST files, previously created with mProjWWTExec.

gray.hist
    Histogram used for stretching grayscale FITS files, previously created with mHistogram.

pngDir
    Directory for output PNGs.

trueColor
    Color enhancement parameter. See mViewer docs for details; set to zero for no special enhancement.

tileLevel
    The depth of WWT TOAST tiles desired. This should be no bigger than the depth to which FITS files were created.

baseName
    Base name for tiles. For instance, an output tile named "planck3102.png" has the base name "planck".

blueDir
    Directory containing blue FITS TOAST files, previously created with mProjWWTExec.

blue.hist
    Histogram used for stretching blue FITS files, previously created with mHistogram.

greenDir
    Directory containing green FITS TOAST files, previously created with mProjWWTExec.

green.hist
    Histogram used for stretching green FITS files, previously created with mHistogram.

redDir
    Directory containing red FITS TOAST files, previously created with mProjWWTExec.

red.hist
    Histogram used for stretching red FITS files, previously created with mHistogram.

pngDir Directory for output PNGs.

RESULT
Like mProjWWTExec, this utility has a limitation: all the output files are put in a single directory. This may become unworkable if the tiles go deep enough. This shortcoming can be easily overcome but the details will depend on the details of the input data so we have opted for a simple initial approach.

MESSAGES

OK  [struct stat="OK", level=level, nimage=count]

ERROR
    Problem with FITS file.

ERROR
    Cannot find histogram file [histfile].

ERROR
    [dir] is not a directory.

ERROR
    Problem creating output PNG directory.

ERROR
    Problem with output PNG directory.

ERROR
    mViewer error message

EXAMPLES

$ mPNGWWTExec -d 1 4 4 Planck fits gray.hist pngs
    [struct stat="OK", level=4, nimage=341]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.